# Interface ActionResult

interface ActionResult {
state: "COMPLETED" | "PENDING" | "FAILED";
statusCode: number;
message?: string;
resultStatus?: number;
}

- Defined in index.ts:27

##### Index

### Properties

state
statusCode
message?
resultStatus?

## Properties

### state

state: "COMPLETED" | "PENDING" | "FAILED"

- Defined in index.ts:28

### statusCode

statusCode: number

- Defined in index.ts:29

### `Optional` message

message?: string

- Defined in index.ts:30

### `Optional` resultStatus

resultStatus?: number

- Defined in index.ts:31